
TYPO3.Flow - Bug # 36577

Status: Resolved Priority: Should have
Author: Christian Müller Category: Environment
Created: 2012-04-25 Assigned To: Christian Müller
Updated: 2012-04-26 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.0
Subject: Do not fallback to system temporary directory
Description

As this could lead to problems with multiple FLOW3 instances on the same system we should throw an exception if the configured
temporary path is not usable.

Associated revisions
Revision d1a05a20 - 2012-04-25 20:05 - Christian Müller

[BUGFIX] Do not use fallback temporary directory

With this change you will get an exception if you miss the
temporary path setting in your settings instead of falling
back to the system temporary path, because this could lead to
problems with multiple FLOW3 instances on the same system.

Fixes: #36577
Releases: 1.1

Change-Id: I48d46f4309e2619b0aa0cc6900413557ddfb3add

History
#1 - 2012-04-25 19:30 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10765

#2 - 2012-04-25 20:05 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10765

#3 - 2012-04-25 20:53 - Karsten Dambekalns
- Category set to Environment
- Affected Flow version changed from Git master to Git 1.0
#4 - 2012-04-26 02:38 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d1a05a20c8e6f024291752c63aa58b29d6add618.
